<?php
/**
 * 机构账号管理
 * $Id: org_account_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("13")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$action_type = ParamUtil::getRequestString("action_type");
if($action_type == "new"){
  $accountMst = new AccountMst();
}
if($action_type == "edit"){
  $accountMst = AccountMst::getById($id);
  if ($accountMst == null) {
  	// エラー表示
  	$layout_pages = array();
  	$layout_pages["left"] = "menu.inc";
  	$layout_pages["right"] = "error.inc";
  	$message = "对象不存在。";
  	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  	exit;
  }
}
$name = ParamUtil::getRequestString("name");
$login = ParamUtil::getRequestString("login");
$password = ParamUtil::getRequestString("password");
$contact = ParamUtil::getRequestString("contact");
$comment = ParamUtil::getRequestString("comment");
$uid = ParamUtil::getRequestNumber("uid");
// 登陆帐号唯一性判断
$param = array();
$param["delete_flg"] = false;
$param["login"] = $login;
$accountList = AccountMst::getList($param);
if (count($accountList) > 1) {
  $error_message = "登陆帐号已经被使用,请换一个。";
  $_SCRIPT_FILE = array("scripts/validators.js");
  // 页面表示
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "org_account_edit_input.inc";
  $layout_pages["menu_clicked"] = "2-1";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

// 数据库更新
$accountMst->login = $login;
$accountMst->password = $password;
$accountMst->name = $name;
$accountMst->contact = $contact;
$accountMst->comment = $comment;
$accountMst->user_id = $uid;
$accountMst->modules = "14";
$accountMst->role = 9;

$accountMst->save();

//发送消息给前端用户
$userMst = UserMst::getById($accountMst->user_id);
$userMessageDat = new UserMessageDat();
$userMessageDat->user_id = $userMst->id;
$userMessageDat->title = "账号审核通过通知";
$userMessageDat->comment = "恭喜您账号审核通过。\n后台网址:\n" . MANAGER_PATH . "\n账号名称:" . $accountMst->login . "\n账号密码:" . $accountMst->password;
$userMessageDat->attach_dat_type = "ORGNAZATION";
$userMessageDat->save();
		
// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "org_account_edit_result.inc";
$layout_pages["menu_clicked"] = "2-1";

//require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/content_iframe.inc");
exit;